import { ValueSelected, EnumSelected } from './../../../model/common-model';
import { ColDef, GridOptions } from "ag-grid-community";
import BaseFilter from '../../../resources/filters/base-filter';
export declare class SummaryFilter {
    private FieldType;
    private gridOptions;
    private entitiesCount;
    private usedView;
    private maxShowedFilter;
    private afterFilterChanged;
    private currentSelectedFilters;
    gridOptionsChanged(newValue: GridOptions, oldValue: GridOptions): void;
    resetAllFilter(): void;
    showAll(filter: CurrentSelectedFilter): void;
    filterCurrent(): void;
    createCurrentSelectedFilter(colDef: ColDef, value: any): void;
    beforeCloseFn(value: any, filter: CurrentSelectedFilter): void;
    unselectEmptyFields(filter: CurrentSelectedFilter): void;
}
declare class CurrentSelectedFilter {
    columnName: string;
    type: string;
    value: string;
    valueSelected: Array<ValueSelected>;
    enumValues: Array<EnumSelected>;
    instance: BaseFilter;
    show: boolean;
}
export {};
